"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useDeepLinkingBottomTabsIndex;
var React = _interopRequireWildcard(require("react"));
var _useCurrentRoot = _interopRequireDefault(require("./useCurrentRoot"));
var _navigationUtils = require("./navigationUtils");
var _RidgeNavigationContext = _interopRequireDefault(require("./contexts/RidgeNavigationContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function useDeepLinkingBottomTabsIndex() {
  const {
    goToUrl
  } = React.useContext(_RidgeNavigationContext.default);
  const {
    currentRoot
  } = (0, _useCurrentRoot.default)();

  // eslint-disable-next-line react-hooks/exhaustive-deps
  const children = (currentRoot === null || currentRoot === void 0 ? void 0 : currentRoot.type) === 'bottomTabs' ? currentRoot.children : [];
  const initialIndex = React.useMemo(() => {
    if (!goToUrl) {
      return undefined;
    }
    const path = (0, _navigationUtils.getPathFromUrl)(goToUrl);
    const currentTabKey = (0, _navigationUtils.getBottomTabKeyFromPath)(path);
    return children.findIndex(child => child.path === '/' + currentTabKey) || 0;
  }, [children, goToUrl]);
  const [bottomTabIndex, setBottomTabIndex] = React.useState(initialIndex || 0);
  React.useEffect(() => {
    if (initialIndex !== undefined) {
      setBottomTabIndex(initialIndex);
    }
  }, [initialIndex]);
  return React.useMemo(() => ({
    bottomTabIndex,
    setBottomTabIndex
  }), [bottomTabIndex, setBottomTabIndex]);
}
//# sourceMappingURL=useDeepLinkingBottomTabsIndex.js.map