import * as React from 'react';
import useNavigation from './useNavigation';
export default function Redirect(_ref) {
  let {
    to,
    params,
    addToHistory
  } = _ref;
  const {
    push,
    replace
  } = useNavigation();
  React.useEffect(() => {
    if (addToHistory) {
      push(to, params, {
        preload: true
      });
    } else {
      replace(to, params, {
        preload: true
      });
    }
  }, [push, replace, to, params, addToHistory]);
  return null;
}
//# sourceMappingURL=Redirect.js.map