import * as React from 'react';
import { NavigationMotion } from 'navigation-react-mobile';
import OptimizedContext, { OptimizedContextProvider } from '../contexts/OptimizedContext';
import { Head } from '../Head';
import { View, StyleSheet } from 'react-native';
function NavigationStack(_ref) {
  let {
    renderWeb
  } = _ref;
  const {
    theme
  } = React.useContext(OptimizedContext);
  return /*#__PURE__*/React.createElement(NavigationMotion, {
    unmountedStyle: {},
    mountedStyle: {},
    crumbStyle: {},
    duration: 0,
    renderMotion: (_, scene, key, active, state, data) => {
      const screen = state.screen;
      const screenOptions = screen === null || screen === void 0 ? void 0 : screen.options;
      const title = screenOptions === null || screenOptions === void 0 ? void 0 : screenOptions.title;
      const description = screenOptions === null || screenOptions === void 0 ? void 0 : screenOptions.description;
      return /*#__PURE__*/React.createElement(View, {
        key: key,
        style: [StyleSheet.absoluteFill, styles.stack, {
          backgroundColor: theme.layout.backgroundColor
        }]
      }, active && /*#__PURE__*/React.createElement(Head, null, /*#__PURE__*/React.createElement("title", null, title || ''), /*#__PURE__*/React.createElement("meta", {
        name: "description",
        content: description || ''
      })), /*#__PURE__*/React.createElement(OptimizedContextProvider, {
        state: state,
        data: data
      }, (renderWeb === null || renderWeb === void 0 ? void 0 : renderWeb(state.key)) || scene));
    }
  });
}
const styles = StyleSheet.create({
  stack: {
    overflow: 'hidden'
  }
});
export default NavigationStack;
//# sourceMappingURL=NavigationStack.web.js.map