import * as React from 'react';
import RidgeNavigationContext from './contexts/RidgeNavigationContext';
import { Platform } from 'react-native';
function getRootKey(rootNavigator, navigationRoot) {
  var _rootNavigator$stateC, _rootNavigator$stateC2;
  const stateKey = rootNavigator === null || rootNavigator === void 0 ? void 0 : (_rootNavigator$stateC = rootNavigator.stateContext) === null || _rootNavigator$stateC === void 0 ? void 0 : (_rootNavigator$stateC2 = _rootNavigator$stateC.state) === null || _rootNavigator$stateC2 === void 0 ? void 0 : _rootNavigator$stateC2.key;
  if (stateKey) {
    var _splitUrl$filter;
    const splitUrl = stateKey.split('/');
    return (_splitUrl$filter = splitUrl.filter(Boolean)) === null || _splitUrl$filter === void 0 ? void 0 : _splitUrl$filter[0];
  }
  return Object.keys(navigationRoot)[0];
}
export default function useCurrentRoot() {
  const [_, setForceUpdate] = React.useState(0);
  const {
    rootNavigator,
    navigationRoot
  } = React.useContext(RidgeNavigationContext);
  const rootKey = getRootKey(rootNavigator, navigationRoot);
  React.useEffect(() => {
    if (Platform.OS === 'web') {
      rootNavigator.onNavigate(() => {
        if (getRootKey(rootNavigator, navigationRoot) !== rootKey) {
          setForceUpdate(x => x + 1);
        }
      });
    }
  }, [rootKey, rootNavigator, navigationRoot]);
  return {
    currentRoot: navigationRoot[rootKey],
    currentRootKey: rootKey
  };
}
//# sourceMappingURL=useCurrentRoot.js.map