function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from 'react';
import { Text, StyleSheet } from 'react-native';
import RidgeNavigationContext from '../contexts/RidgeNavigationContext';
const defaultSize = 18;
function BottomTabBadgeWeb(_ref) {
  let {
    children,
    size = defaultSize,
    visible = true,
    aboveDrawerBreakingPoint,
    ...rest
  } = _ref;
  const {
    theme
  } = React.useContext(RidgeNavigationContext);
  const backgroundColor = theme.bottomBar.badgeColor || 'red';
  const textColor = theme.bottomBar.badgeTextColor;
  const borderRadius = size / 2;
  if (!visible) {
    return null;
  }
  return /*#__PURE__*/React.createElement(Text, _extends({
    numberOfLines: 1,
    style: [styles.container, {
      opacity: 1,
      backgroundColor: aboveDrawerBreakingPoint ? undefined : backgroundColor,
      color: aboveDrawerBreakingPoint ? theme.bottomBar.textColor : textColor,
      fontSize: size * 0.7,
      lineHeight: size,
      height: size,
      fontWeight: '500',
      minWidth: size,
      borderRadius,
      fontFamily: theme.bottomBar.fontFamily
    }]
  }, rest), children);
}
const styles = StyleSheet.create({
  container: {
    alignSelf: 'flex-end',
    textAlign: 'center',
    textAlignVertical: 'center',
    paddingHorizontal: 4,
    overflow: 'hidden',
    fontFamily: '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"'
  }
});
export default /*#__PURE__*/React.memo(BottomTabBadgeWeb);
//# sourceMappingURL=BottomTabBadgeWeb.js.map