import * as React from 'react';
import { StyleSheet, View } from 'react-native';
import BottomTab from './BottomTabWeb';
import OptimizedContext from '../contexts/OptimizedContext';
import { getBreakingPointFromRoot, useAboveBreakingPoint } from '../navigationUtils';
import useCurrentRoot from '../useCurrentRoot';
import BottomTabIndexContext from '../contexts/BottomTabIndexContext';
import BottomTabBadgesContext from '../contexts/BottomTabBadgesContext';
function BottomTabsWrapperWeb(_ref) {
  var _currentRoot$componen;
  let {
    children
  } = _ref;
  const {
    currentRoot
  } = useCurrentRoot();
  const aboveBreakingPoint = useAboveBreakingPoint(getBreakingPointFromRoot(currentRoot));
  const aboveDrawerBreakingPoint = useAboveBreakingPoint(1240);
  const orientation = aboveBreakingPoint ? 'horizontal' : 'vertical';
  if ((currentRoot === null || currentRoot === void 0 ? void 0 : currentRoot.type) !== 'bottomTabs') {
    return children;
  }
  const inner = /*#__PURE__*/React.createElement(OriginalBottomTabs, {
    orientation: orientation,
    aboveDrawerBreakingPoint: aboveDrawerBreakingPoint
  }, children);
  if ((_currentRoot$componen = currentRoot.components) !== null && _currentRoot$componen !== void 0 && _currentRoot$componen.override) {
    return /*#__PURE__*/React.createElement(currentRoot.components.override, {
      orientation: orientation,
      originalBottomTabs: inner
    }, children);
  }
  return inner;
}
export function OriginalBottomTabs(_ref2) {
  var _currentRoot$componen2, _currentRoot$componen3;
  let {
    children,
    orientation,
    aboveDrawerBreakingPoint
  } = _ref2;
  const {
    currentRoot
  } = useCurrentRoot();
  const {
    theme
  } = React.useContext(OptimizedContext);
  const {
    badges
  } = React.useContext(BottomTabBadgesContext);
  const {
    bottomTabIndex
  } = React.useContext(BottomTabIndexContext);
  if ((currentRoot === null || currentRoot === void 0 ? void 0 : currentRoot.type) !== 'bottomTabs') {
    return children;
  }
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.root, styles[orientation]]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.screens
  }, children), /*#__PURE__*/React.createElement(View, {
    style: [bottomStyles.root, {
      backgroundColor: theme.bottomBar.backgroundColor
    }, bottomStyles[orientation], aboveDrawerBreakingPoint && bottomStyles.horizontalBig]
  }, currentRoot !== null && currentRoot !== void 0 && (_currentRoot$componen2 = currentRoot.components) !== null && _currentRoot$componen2 !== void 0 && _currentRoot$componen2.start ? /*#__PURE__*/React.createElement(currentRoot.components.start, {
    orientation: orientation
  }) : null, currentRoot.children.map((child, index) => /*#__PURE__*/React.createElement(BottomTab, {
    orientation: orientation,
    aboveDrawerBreakingPoint: aboveDrawerBreakingPoint,
    key: child.path,
    bottomTab: child,
    isSelected: bottomTabIndex === index,
    count: badges[child.path]
  })), currentRoot !== null && currentRoot !== void 0 && (_currentRoot$componen3 = currentRoot.components) !== null && _currentRoot$componen3 !== void 0 && _currentRoot$componen3.end ? /*#__PURE__*/React.createElement(currentRoot.components.end, {
    orientation: orientation
  }) : null));
}
const styles = StyleSheet.create({
  root: {
    flex: 1
  },
  screens: {
    flex: 1
  },
  bottomTabs: {
    position: 'relative',
    zIndex: 100,
    alignItems: 'center'
  },
  horizontal: {
    flexDirection: 'row-reverse'
  },
  vertical: {
    flexDirection: 'column'
  }
});
const bottomStyles = StyleSheet.create({
  root: {
    position: 'relative',
    alignItems: 'center',
    justifyContent: 'center',
    // shadowColor: '#000',
    // shadowOffset: {
    //   width: 0,
    //   height: 5,
    // },
    // shadowOpacity: 0.34,
    // shadowRadius: 6.27,
    // elevation: 10,
    paddingBottom: 'env(safe-area-inset-bottom)'
  },
  horizontal: {
    flexDirection: 'column',
    justifyContent: 'flex-start'
  },
  vertical: {
    flexDirection: 'row',
    justifyContent: 'center'
  },
  horizontalBig: {
    width: 320,
    alignItems: 'flex-start'
  }
});
export default /*#__PURE__*/React.memo(BottomTabsWrapperWeb);
//# sourceMappingURL=BottomTabsWrapperWeb.js.map